<!DOCTYPE html>
<html lang="en">

<head>
    <% include _head %>
    <link rel="stylesheet"
          href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.13.2/css/bootstrap-select.min.css">
    <link rel="stylesheet" type="text/css" href="/css/jeux.css">
</head>

<body>
<%
const unpluggedActivityId = 16;
const externLinkId = 18;
 %>
<% include _loading %>
<div class="container-fluid content-row">
    <div class="row mt-2 mr-2">
      <span class="col-2">
      </span>
        <span class="col-1" id="date" class="ml-3"></span>
        <h4 class="col-6" id="infos_eleve"><%= eleve.nom %> (<%= classe.nom %> - <%= classe.degre %>)</h4>
        <div class="col-3 ml-auto">
            <a href="#" onclick="window.location.href='/classes'"
               class="btn btn-outline-danger"><%= __('global_back') %></a>
            <a href="/logout" class="btn btn-outline-warning"><%= __('global_logout') %></a>
        </div>
    </div>
    <div class="row mt-5">
        <div class="col-sm-3">
            <ul class="list-group list-group-flush mt-3 mb-5" id="discipline">
                <a href="#" class="list-group-item all-discipline discipline"
                   onclick="ui_jeux.showAllDisciplines();"><%= __('jeux_allTopic') %></a>
                <% disciplines.forEach(discipline => { %>
                    <a href="#" class="list-group-item discipline-<%= discipline.id %> discipline"
                       onclick="ui_jeux.filterGamesByDiscipline(<%= discipline.id %>);"><%= discipline.discipline %></a>
                <% }) %>
            </ul>
            <% if(typeof (degres) !== "undefined") { %>
                <select name="harmos" id="harmos" class="selectpicker show-tick" data-size="5">
                    <option selected value="none"><%= __('jeux_allGrade') %></option>
                    <% degres.forEach(degre => { %>
                        <option value="<%= degre.id %>"><%= degre.degre %></option>
                    <% }); %>
                </select>
            <% } %>
            <div class="mt-3"></div>
            <% if(typeof (langues) !== "undefined") { %>
                <select name="language" id="language" class="selectpicker show-tick" data-size="5">
                    <option selected value="none"><%= __('jeux_allLanguages') %></option>
                    <% langues.forEach(langue => { %>
                        <option value="<%= langue.abbr %>"><%= langue.nom %></option>
                    <% }); %>
                </select>
            <% } %>
            <div class="mt-3"></div>
            <% if(typeof (tags) !== "undefined") { %>
                <select name="tag" id="tag" class="selectpicker show-tick" data-live-search="true" data-size="5">
                    <option selected value="none"><%= __('jeux_allTags') %></option>
                    <% tags.forEach(tag => { %>
                        <option value="<%= tag %>"><%= tag %></option>
                    <% }); %>
                </select>
            <% } %>
        </div>
        <% if(typeof (jeux) !== "undefined") { %>
            <div class="col-sm-9">
                <div class="row">
                    <% jeux.forEach(jeu => {
                        if(jeu.inDevelopment || jeu.id===unpluggedActivityId || jeu.id===externLinkId)
                            return;
                    %>
                    <div class="col-12 col-lg-6 col-xl-3 jeu jeu_discipline_<%= jeu.discipline %>
			<% if(jeu.lstDegres) { jeu.lstDegres.forEach(degre => { %>jeu_degre_<%= degre %> <% })} %>
			<% if(jeu.lstLangues) { jeu.lstLangues.forEach(lang => { %>jeu_langue_<%= lang.abbr %> <% })} %>
			<% if(jeu.lstTags) { jeu.lstTags.forEach(tag => { %>jeu_tag_<%= tag %> <% })} %>">
                        <a href="/jeu/<%= jeu.id %>" class="card card-perso">
                            <img src="<%= jeu.image %>" alt="image-<%= jeu.nom %>" class="card-img-top">
                            <div class="card-body">
                                <h4 class="card-title"><%= jeu.nom %></h4>
                                <p class="card-text"><%= jeu.description %></p>
                            </div>
                            <div class="card-footer" style="height: 75px">
                                <p class="small"><%= jeu.objectif %></p>
                                <% if(jeu.lstTags) { %>
                                    <% jeu.lstTags.forEach(tag => { %>
                                        <span class="badge badge-default"><i
                                                    class="fas fa-tag"></i> <%= tag %></span>
                                    <% }); %>
                                <% } %>
                            </div>
                        </a>
                    </div>
                    <% }) %>
                </div>
                <div class="row">
                    <h1><%= __('global_game_in_development')%></h1>
                </div>
                <div class="row">
                    <% jeux.forEach(jeu => {
                        if(!jeu.inDevelopment)
                            return;
                    %>
                    <div class="col-12 col-lg-6 col-xl-3 jeu jeu_discipline_<%= jeu.discipline %>
			<% if(jeu.lstDegres) { jeu.lstDegres.forEach(degre => { %>jeu_degre_<%= degre %> <% })} %>
			<% if(jeu.lstLangues) { jeu.lstLangues.forEach(lang => { %>jeu_langue_<%= lang.abbr %> <% })} %>
			<% if(jeu.lstTags) { jeu.lstTags.forEach(tag => { %>jeu_tag_<%= tag %> <% })} %>">
                        <a href="/jeu/<%= jeu.id %>" class="card card-perso">
                            <img src="<%= jeu.image %>" alt="image-<%= jeu.nom %>" class="card-img-top">
                            <div class="card-body">
                                <h4 class="card-title"><%= jeu.nom %></h4>
                                <p class="card-text"><%= jeu.description %></p>
                            </div>
                            <div class="card-footer" style="height: 75px">
                                <p class="small"><%= jeu.objectif %></p>
                                <% if(jeu.lstTags) { %>
                                    <% jeu.lstTags.forEach(tag => { %>
                                        <span class="badge badge-default"><i
                                                    class="fas fa-tag"></i> <%= tag %></span>
                                    <% }); %>
                                <% } %>
                            </div>
                        </a>
                    </div>
                    <% }) %>
                </div>
            </div>
        <% } %>
    </div>
</div>
<div class="col-12" style="position: fixed; bottom: 0px; left: 0px; height: 30px; background-color: #FFFFFF; display: inline-block;">
    <div class="dropdown" style="float: left; margin-right: 30px">
        <a class="dropdown-toggle" data-toggle="dropdown" href="#"><i class="fas fa-globe-europe"></i>
            <%= __('index_langage') %><span class="caret"></span></a>
        <div class="dropdown-menu">
            <a class="dropdown-item" href="/fr"><img src="/media/flags/fr.png" alt="fr" class="img-flag"> Français</a>
            <a class="dropdown-item" href="/de"><img src="/media/flags/de.png" alt="de" class="img-flag"> Deutsch</a>
            <a class="dropdown-item" href="/it"><img src="/media/flags/it.png" alt="it" class="img-flag"> Italiano</a>
            <a class="dropdown-item" href="/en"><img src="/media/flags/en.png" alt="en" class="img-flag"> English</a>
        </div>
    </div>
    <div class="dropdown" style="float: left; margin-right: 30px">
        <a class="dropdown-toggle" data-toggle="dropdown" href="#"><i class="fas fa-palette"></i>
            <%= __('index_theme') %><span class="caret"></span></a>
        <div class="dropdown-menu">
            <a class="dropdown-item" href="javascript:ui_global.setTheme('default')">Aucun</a>
            <a class="dropdown-item" href="javascript:ui_global.setTheme('sketchy')">Sketchy</a>
            <a class="dropdown-item" href="javascript:ui_global.setTheme('sandstone')">Sandstone</a>
            <a class="dropdown-item" href="javascript:ui_global.setTheme('lumen')">Lumen</a>
            <a class="dropdown-item" href="javascript:ui_global.setTheme('journal')">Journal</a>
            <a class="dropdown-item" href="javascript:ui_global.setTheme('lux')">Lux</a>
        </div>
    </div>
</div>
<script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.13.2/js/bootstrap-select.min.js"></script>
<script type="text/javascript" src="/scripts/ui/ui_jeux.js"></script>
</body>

</html>
